BizCARE MyInvois
API Reference

Companies

API endpoints for managing company information

Companies API

Retrieve and update your company information. Each API key is associated with a single company.


Get Company

Retrieve your company's details.

Endpoint

GET /api/companies

Headers

HeaderValue
X-API-KeyYour API key

Response

{
  "data": {
    "id": 2,
    "name": "My Company Sdn Bhd",
    "tin_code": "C12345678901",
    "registration_number": "202001234567",
    "registration_type": "NRIC",
    "sst_registration_number": null,
    "tourism_tax_registration_number": null,
    "business_activity_description": "Information technology consultancy",
    "msic_code": "62011",
    "country": "Malaysia",
    "state": "Pulau Pinang",
    "zip_code": "14000",
    "city": "Bukit Mertajam",
    "address": "Company address full dummy 1",
    "phone": "+60 12345678",
    "email": "admin@mycompany.com",
    "bank_account": null,
    "exporter_certified_number": null,
    "setting": {
      "INVOICE_PREFIX": "25A-INV-",
      "DEBIT_NOTE_PREFIX": "25A-DN-",
      "CREDIT_NOTE_PREFIX": "25A-CN-",
      "PREFIX_DIGIT_COUNT": 5,
      "REFUND_NOTE_PREFIX": "25A-RN-",
      "AUTO_SUBMIT_INVOICE": true,
      "CONSOLIDATE_INVOICE_PREFIX": "25A-CINV-",
      "SELF_BILLED_INVOICE_PREFIX": "25A-SBINV-",
      "CONSOLIDATE_SELF_BILLED_INVOICE_PREFIX": "25A-CSBINV-"
    },
    "created_at": "2025-01-01T00:00:00.000+00:00",
    "updated_at": "2025-06-15T10:30:00.000+00:00",
    "default_tax_types_and_rates": [
      { "tax_rate": 10, "tax_type": "01", "factor_type": "percentage" },
      { "tax_rate": 5, "tax_type": "02", "factor_type": "percentage" }
    ],
    "is_company_ready": true,
    "as_buyer": {
      "contactNumber": "+60 12345678",
      "name": "My Company Sdn Bhd",
      "partyType": "LOCAL_INDIVIDUAL",
      "registrationType": "NRIC",
      "registrationNumber": "202001234567",
      "sstRegistrationNumber": "NA",
      "tin": "C12345678901",
      "address": {
        "addressLine0": "Company address full dummy 1",
        "cityName": "Bukit Mertajam",
        "country": "MYS",
        "state": "07",
        "postalZone": "14000"
      },
      "email": "admin@mycompany.com"
    },
    "as_supplier": {
      "contactNumber": "+60 12345678",
      "name": "My Company Sdn Bhd",
      "partyType": "LOCAL_INDIVIDUAL",
      "registrationType": "NRIC",
      "registrationNumber": "202001234567",
      "sstRegistrationNumber": "NA",
      "tin": "C12345678901",
      "address": {
        "addressLine0": "Company address full dummy 1",
        "cityName": "Bukit Mertajam",
        "country": "MYS",
        "state": "07",
        "postalZone": "14000"
      },
      "email": "admin@mycompany.com",
      "businessActivityDescription": "Information technology consultancy",
      "msic": "62011",
      "tourismTaxRegistrationNumber": "NA"
    }
  }
}

Code Examples

cURL

curl -X GET https://api.bizcare-einvoice.com/api/companies \
  -H "X-API-Key: your-api-key-here"

JavaScript

const response = await fetch('https://api.bizcare-einvoice.com/api/companies', {
  headers: { 'X-API-Key': 'your-api-key-here' },
});
const data = await response.json();

Python

response = requests.get(
    'https://api.bizcare-einvoice.com/api/companies',
    headers={'X-API-Key': 'your-api-key-here'},
)

PHP

$response = Http::withHeaders([
    'X-API-Key' => 'your-api-key-here',
])->get('https://api.bizcare-einvoice.com/api/companies');

Update Company

Update your company's details.

Endpoint

PUT /api/companies

Headers

HeaderValue
X-API-KeyYour API key
Content-Typeapplication/json

Request Body

All fields are optional — only include fields you want to update.

FieldTypeDescription
namestringCompany name
tin_codestringTax identification number
registration_numberstringRegistration number
registration_typestringBRN, NRIC, PASSPORT, or ARMY
sst_registration_numberstringSST registration number
tourism_tax_registration_numberstringTourism tax registration number
business_activity_descriptionstringBusiness activity description
msic_codestringMSIC code
countrystringCountry name
statestringState name
zip_codestringPostal code
citystringCity name
addressstringStreet address
phonestringPhone number
emailstringEmail address
settingobjectCompany settings (see below)

Setting Object

When updating setting, all fields within it are required.

FieldTypeDescription
INVOICE_PREFIXstringInvoice code prefix
SELF_BILLED_INVOICE_PREFIXstringSelf-billed invoice prefix
CONSOLIDATE_INVOICE_PREFIXstringConsolidated invoice prefix
CONSOLIDATE_SELF_BILLED_INVOICE_PREFIXstringConsolidated self-billed invoice prefix
CREDIT_NOTE_PREFIXstringCredit note prefix
DEBIT_NOTE_PREFIXstringDebit note prefix
REFUND_NOTE_PREFIXstringRefund note prefix
PREFIX_DIGIT_COUNTnumberNumber of digits in the prefix code
AUTO_SUBMIT_INVOICEbooleanAutomatically submit invoices to MyInvois

Response

Returns the full updated company object wrapped in {"data": {...}} (same structure as Get Company).

Error Responses

StatusDescription
422Validation error (e.g., missing required setting fields)

Code Examples

cURL

curl -X PUT https://api.bizcare-einvoice.com/api/companies \
  -H "X-API-Key: your-api-key-here" \
  -H "Content-Type: application/json" \
  -d '{
    "setting": {
      "INVOICE_PREFIX": "25A-INV-",
      "DEBIT_NOTE_PREFIX": "25A-DN-",
      "CREDIT_NOTE_PREFIX": "25A-CN-",
      "PREFIX_DIGIT_COUNT": 5,
      "REFUND_NOTE_PREFIX": "25A-RN-",
      "AUTO_SUBMIT_INVOICE": true,
      "CONSOLIDATE_INVOICE_PREFIX": "25A-CINV-",
      "SELF_BILLED_INVOICE_PREFIX": "25A-SBINV-",
      "CONSOLIDATE_SELF_BILLED_INVOICE_PREFIX": "25A-CSBINV-"
    }
  }'

JavaScript

const response = await fetch('https://api.bizcare-einvoice.com/api/companies', {
  method: 'PUT',
  headers: {
    'X-API-Key': 'your-api-key-here',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    setting: {
      INVOICE_PREFIX: '25A-INV-',
      DEBIT_NOTE_PREFIX: '25A-DN-',
      CREDIT_NOTE_PREFIX: '25A-CN-',
      PREFIX_DIGIT_COUNT: 5,
      REFUND_NOTE_PREFIX: '25A-RN-',
      AUTO_SUBMIT_INVOICE: true,
      CONSOLIDATE_INVOICE_PREFIX: '25A-CINV-',
      SELF_BILLED_INVOICE_PREFIX: '25A-SBINV-',
      CONSOLIDATE_SELF_BILLED_INVOICE_PREFIX: '25A-CSBINV-',
    },
  }),
});

Python

response = requests.put(
    'https://api.bizcare-einvoice.com/api/companies',
    headers={'X-API-Key': 'your-api-key-here'},
    json={
        'setting': {
            'INVOICE_PREFIX': '25A-INV-',
            'DEBIT_NOTE_PREFIX': '25A-DN-',
            'CREDIT_NOTE_PREFIX': '25A-CN-',
            'PREFIX_DIGIT_COUNT': 5,
            'REFUND_NOTE_PREFIX': '25A-RN-',
            'AUTO_SUBMIT_INVOICE': True,
            'CONSOLIDATE_INVOICE_PREFIX': '25A-CINV-',
            'SELF_BILLED_INVOICE_PREFIX': '25A-SBINV-',
            'CONSOLIDATE_SELF_BILLED_INVOICE_PREFIX': '25A-CSBINV-',
        },
    },
)

PHP

$response = Http::withHeaders([
    'X-API-Key' => 'your-api-key-here',
])->put('https://api.bizcare-einvoice.com/api/companies', [
    'setting' => [
        'INVOICE_PREFIX' => '25A-INV-',
        'DEBIT_NOTE_PREFIX' => '25A-DN-',
        'CREDIT_NOTE_PREFIX' => '25A-CN-',
        'PREFIX_DIGIT_COUNT' => 5,
        'REFUND_NOTE_PREFIX' => '25A-RN-',
        'AUTO_SUBMIT_INVOICE' => true,
        'CONSOLIDATE_INVOICE_PREFIX' => '25A-CINV-',
        'SELF_BILLED_INVOICE_PREFIX' => '25A-SBINV-',
        'CONSOLIDATE_SELF_BILLED_INVOICE_PREFIX' => '25A-CSBINV-',
    ],
]);